[arch-commits] Commit in libdvdnav/trunk (PKGBUILD deadlock.patch)

Giovanni Scafora giovanni at archlinux.org
Mon Feb 22 22:23:44 UTC 2010


    Date: Monday, February 22, 2010 @ 17:23:44
  Author: giovanni
Revision: 69820

upgpkg: libdvdnav 4.1.3-2
Added patch to fix FS18431

Added:
  libdvdnav/trunk/deadlock.patch
Modified:
  libdvdnav/trunk/PKGBUILD

----------------+
 PKGBUILD       |   11 ++++++++---
 deadlock.patch |   17 +++++++++++++++++
 2 files changed, 25 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-22 21:07:48 UTC (rev 69819)
+++ PKGBUILD	2010-02-22 22:23:44 UTC (rev 69820)
@@ -4,18 +4,23 @@
 
 pkgname=libdvdnav
 pkgver=4.1.3
-pkgrel=1
+pkgrel=2
 pkgdesc="The library for xine-dvdnav plugin."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.mplayerhq.hu/MPlayer/releases/dvdnav/"
 depends=('libdvdread>=4.1.3')
 options=(!libtool)
-source=(http://www.mplayerhq.hu/MPlayer/releases/dvdnav/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('d62383c45b28816771e283515f2c27fa')
+source=(http://www.mplayerhq.hu/MPlayer/releases/dvdnav/${pkgname}-${pkgver}.tar.bz2
+        deadlock.patch)
+md5sums=('d62383c45b28816771e283515f2c27fa'
+         '864529165a1136ae4c1ccbc7b43cdb1a')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  
+  patch -Np1 -i ${srcdir}/deadlock.patch || return 1
+
   ./autogen.sh --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Added: deadlock.patch
===================================================================
--- deadlock.patch	                        (rev 0)
+++ deadlock.patch	2010-02-22 22:23:44 UTC (rev 69820)
@@ -0,0 +1,17 @@
+--- a/src/dvdnav.c	2009-11-08 16:58:25.000000000 +0300
++++ b/src/dvdnav.c	2009-11-08 16:58:52.000000000 +0300
+@@ -180,12 +180,13 @@
+     pthread_mutex_unlock(&this->vm_lock);
+     return DVDNAV_STATUS_ERR;
+   }
++  pthread_mutex_unlock(&this->vm_lock);
++
+ #ifdef LOG_DEBUG
+   fprintf(MSG_OUT, "libdvdnav: clearing dvdnav\n");
+ #endif
+   result = dvdnav_clear(this);
+ 
+-  pthread_mutex_unlock(&this->vm_lock);
+   return result;
+ }
+ 




More information about the arch-commits mailing list